<?php
/**
 * @file art_edit.php
 *
 * @brief Edit article
 * @author Sobak
 * @version 1.1
 */

defined('INSIDE') or die;

 $pageID = db::secure($_GET['id']);

 $form = db::fetch(db::query("SELECT * FROM {prefix}articles WHERE id='$pageID'"));
 ?>

<h1>Edytuj artykuł</h1>
<form action="" method="post">
 <label for="title">Tytuł:</label> <input type="text" name="title" id="title" value="<?php echo $form['title']; ?>" />
 
 <label for="category">Kategoria:</label>
 <select name="category" id="category">
            <?php
            $query = db::query ("SELECT * FROM {prefix}categories;");
            
            while ($cat = db::fetch($query)) {

                if ($form['cat_id'] == $cat['id']) {
                    $selected  = 'selected="selected"';
                } else {
                    $selected = '';
                }

                echo '<option value="'.$cat['id'].'" '.$selected.'>'.$cat['name'].'</option>';
            }
            ?>
 </select>
 
 <label for="date">Data:</label> <input type="text" name="date" id="date" value="<?php echo $form['date']; ?>" />
 <label for="content">Zawartość:</label> <textarea name="content" id="content" rows="20" cols="70"><?php echo $form['content']; ?></textarea>
 <label for="seo_title">Tytuł SEO:</label> <input name="seo_title" id="seo_title" type="text" maxlength="100" value="<?php echo $form['seo_title']; ?>" /> <?php echo helpLink(3); ?>
 <label for="tags">Tagi (oddziel przecinkiem):</label> <input type="text" name="tags" id="tags" value="<?php echo $form['tags'] ?>" />
 <input type="hidden" name="send" value="1" />
 <input type="submit" value="Zmień" />
</form>


<?php
  $title = db::secure($_POST['title']);
  $content = db::secure($_POST['content']);
  $date = db::secure($_POST['date']);
  $seo_title = db::secure($_POST['seo_title']);
  $tags = db::secure(str_replace (', ', ',', $_POST['tags']));
  $category = db::secure($_POST['category']);
  $last_mod_time = time();

  if ($_POST['send'] == 1) {
   $query = db::query ("UPDATE {prefix}articles SET title='$title', content='$content', date='$date', tags='$tags', seo_title='$seo_title', cat_id='$category', last_mod_time='$last_mod_time' WHERE id='$pageID'");

   if ($query) {
    logger::addEvent(3, __FILE__, __LINE__, 'Artykuł "'.$title.'" został zmodyfikowany');
    echo '<p class="success">Artykuł został zmieniony!</p>';
   }
   core::redirect("?m=art_edit&id=$pageID");
  }

?>