<?php
/**
 * @file comments.php
 *
 * @brief Manage comments
 * @author Sobak
 * @version 1.2
 */
defined('INSIDE') or die;

switch ($_GET['cmode']) {
    
////////////////
case 'edit':
   $cid = $_GET['cid']; // cid = comment id

   $result = db::query("SELECT * FROM {prefix}comments WHERE id='$cid'");
   $row = db::fetch($result);
   
    if ($_GET['message'] == 2) {
     echo '<p class="success">Komentarz został zmieniony</p>';
    }

   echo '<form action="?m=comments&cmode=edit&cid='.$cid.'" method="post">';
   echo '<label for="author">Autor:</label> <input type="text" name="author" id="author" value="'.$row['author'].'" />';
   echo '<label for="content">Treść komentarza:</label>';
   echo '<textarea name="content" id="content">'.$row['content'].'</textarea>';
   echo '<input type="hidden" name="send" value="1" />';
   echo '<input type="submit" value="Zmień" />';
   echo '</form>';

   echo '<p><a href="?m=comments">Wróć</a></p>';
   // If form is send
   if ($_POST['send'] == 1) {
       $author = $_POST['author'];
       $content = $_POST['content'];

       db::query ("UPDATE {prefix}comments SET author='$author', content='$content' WHERE id='$cid'");

       core::redirect("?m=comments&cmode=edit&cid=$cid&message=2");
   }
break;

//////////////
case 'accept':
    $cid = $_GET['cid'];
    db::query("UPDATE {prefix}comments SET accepted='1' WHERE id='$cid'");

    core::redirect('?m=comments&message=1&id='.$cid);
break;

///////////
default:
 echo '<h1>Komentarze</h1>';
    
 if ($_GET['message'] == 1) {
     echo '<p class="success">Komentarz został zaakceptowany.</p>';
 }

 // Accepted comments
 $resultA = db::query ("SELECT * FROM {prefix}comments WHERE accepted='1'");
 echo '<h2>Komentarze zaakceptowane</h2>';
 echo '<table><tr class="headrow"><td>Autor</td> <td>Data</td> <td>Treść</td> <td>Akcja</td></tr>';
 
 $acceptedComments = db::fetch(db::query("SELECT COUNT(*) FROM {prefix}comments WHERE accepted=1"));
 if ($acceptedComments[0] == 0) {
  echo '<tr><td colspan="2"><em>Brak komentarzy.</em></td></tr>';
 }
 
 while ($row = db::fetch($resultA)) {
  $author = $row['author'];
  $date = $row['date'];
  $content = htmlspecialchars(substr($row['content'], 0, 20));
  $title = $row['title'];
  $id = $row['id'];

  echo "<tr><td>$author</td> <td>$date</td> <td>$content...</td> <td><a href=\"?m=comments&amp;cmode=edit&amp;cid=$id\">".editIcon()."</a> | <a href=\"?m=del&amp;what=comment&amp;id=$id\">".delIcon()."</a></td>";
 }
 echo '</table>';

 // Unaccepted comments
 $resultB = db::query ("SELECT * FROM {prefix}comments WHERE accepted='0'");
 echo '<h2>Komentarze niezaakceptowane</h2>';
 echo '<table><tr class="headrow"><td>Autor</td> <td>Data</td> <td>Treść</td> <td>Akcja</td></tr>';

 $unacceptedComments = db::fetch(db::query("SELECT COUNT(*) FROM {prefix}comments WHERE accepted=0"));
 if ($unacceptedComments[0] == 0) {
  echo '<tr><td colspan="2"><em>Brak niezaakceptowanych komentarzy.</em></td></tr>';
 }

 while ($row = db::fetch($resultB)) {
  $author = $row['author'];
  $date = $row['date'];
  $content = substr($row['content'], 0, 20);
  $title = $row['title'];
  $id = $row['id'];

  echo "<tr><td>$author</td> <td>$date</td> <td>$content...</td> <td><a href=\"?m=comments&amp;cmode=edit&amp;cid=$id\">".editIcon()."</a> | <a href=\"?m=del&amp;what=comment&amp;id=$id\">".delIcon()."</a> | <a href=\"?m=comments&amp;cmode=accept&amp;cid=$id\">zaakceptuj</a></td>";
 }
 echo '</table>';
break;
}

?>