<?php
// Save values which are used more than once, to varables
$site_title = core::getSetting ('site_title')
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="pl" lang="pl">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <title><?php echo $site_title.' :: Panel Administracyjny' ?></title>
  <link rel="stylesheet" href="admin/themes/<?php echo ADMIN_THEME; ?>/style.css" type="text/css" />
  <script type="text/javascript" src="admin/admin.js"></script>
</head>
<body>

 <div id="logo"><h1><?php echo $site_title; ?></h1></div>


<div id="container">

    <ul id="top_menu">
        <li><a href="?">Przegląd</a></li>
        <li><a href="?m=art_add">Nowy artykuł</a></li>
        <li><a href="?m=page_add">Nowa strona</a></li>
        <li><a href="?m=comments">Komentarze</a></li>
        <li><a href="index.php?logout">Wyloguj</a></li>
        <li><a href="index.php"><strong>Przejdź do strony</strong></a></li>
    </ul>

    <div class="menu">
        <?php
        // Count unaccepted comments
        $countComments = db::fetch(db::query("SELECT COUNT(*) id FROM {prefix}comments WHERE accepted=0"));
        
        if ($countComments[0] != 0)
            $comments = '('.$countComments[0].')';
        
        else
            $comments = '';
        ?>
        <h3>Zawartość</h3>
        <ul>
            <li><a href="?">Przegląd</a></li>
            <li><a href="?m=menu">Nawigacja</a></li>
            <li><a href="?m=comments">Komentarze <?php echo $comments; ?></a></li>
            <li><a href="?m=trash">Kosz</a></li>
        </ul>
        
        <h3>Artykuły</h3>
        <ul>
            <li><a href="?m=arts">Zarządzaj</a></li>
            <li><a href="?m=art_add">Dodaj nowy</a></li>
            <li><a href="?m=art_categories">Kategorie</a></li>
        </ul>
        
        <h3>Strony</h3>
        <ul>
            <li><a href="?m=pages">Zarządzaj</a></li>
            <li><a href="?m=page_add">Dodaj nową</a></li>
        </ul>
        
        <h3>Użytkownicy</h3>
        <ul>
            <li><a href="?m=users">Zarządzaj</a></li>
            <li><a href="?m=user_add">Dodaj nowego</a></li>
        </ul>
        
        <h3>Dodatki</h3>
        <ul>
            <li><a href="?m=faq">FAQ</a></li>
            <li><a href="?m=feed">Kanał ATOM</li>
            <li><a href="?m=sitemap">Mapa strony</a></li>
        </ul>
        
        <h3>Zaawansowane</h3>
        <ul>
            <li><a href="?m=settings">Ustawienia</a></li>
            <li><a href="?m=stat_pages">Strony w webs/</a></li>
            <li><a href="?m=logs">Logi</a></li>
            <li><a href="?m=updates">Aktualizacje</a></li>
        </ul>
    </div>

     <div class="content">