<?php
/**
 * @file admin.php
 * @brief admin panel functions
 *
 * @author Sobak
 * @version 1.1
 */

function editIcon ($name = 'Edytuj') {
    return  '<img src="admin/themes/'.ADMIN_THEME.'/images/edit.png" class="editIcon" alt="'.$name.'" title="'.$name.'" />';
}

function delIcon ($name = 'Usuń') {
    return  '<img src="admin/themes/'.ADMIN_THEME.'/images/delete.png" class="delIcon" alt="'.$name.'" title="'.$name.'" />';
}

function helpLink ($helpId) {
    return '<a onclick="displayHelpWindow(\''.$helpId.'\'); return false;" href="admin/help.php?id='.$helpId.'">
        <img src="admin/themes/'.ADMIN_THEME.'/images/help.png" class="helpIcon" alt="Pomoc" title="Pomoc" /></a>';
}

function showAdminBar () {
    global $id, $content, $addr;
    
    if ($content['page_type'] == 1) $editLink = 'admin.php?m=page_edit&amp;id='.$content['id'];
    elseif ($content['page_type'] == 2) $editLink = 'admin.php?m=stat_page_edit&amp;id='.$content['id'];

    
    echo '<ul id="adminbar">'."\n";
    if ($id == 'articles' and $addr[1] == 'single')
        echo '<li><a href="admin.php?m=art_edit&amp;id='.$addr[3].'">Edytuj artykuł</a></li>';
    
    else
        echo '<li><a href="'.$editLink.'">Edytuj stronę</a></li>';
    echo '<li><a href="admin.php">Panel administracyjny</a></li>';
    echo "\n</ul>";
}

function changeSetting ($settingName, $newValue) {
    db::query("UPDATE {prefix}settings SET value = '$newValue' WHERE setting='$settingName'");
}