<?php
/**
 * logger class
 * @package Iron CMS
 * @author Sobak
 * @version 1.2
 */
class logger {
    /**
     * @method isLogged
     * @return boolean
     * 
     * Is user is now logged in, then returns true, else returns false
     */
    private function isLogged () {
         $login = $_SESSION['login'];
         $pass = $_SESSION['pass'];

         if ((empty($login)) OR (empty($pass))) {
          return false;
         } else {
          return true;
         }
    }

    /**
     *
     * error types ($type var)
     *  - 1 - critical error
     *  - 2 - warning
     *  - 3 - notice
     */
    
    /**
     * @method addEvent
     * @param int $type error level
     * @param string $file file where the error occurs
     * @param int $line line where the error occurs
     * @param string $extraInformation additional debug informations 
     */
    public function addEvent ($type, $file, $line, $extraInformation = '') {
        $date = date (core::$cfg['date_format']);
        $ip   = $_SERVER['REMOTE_ADDR'];

        if (self::isLogged()) {
            $login = $_SESSION['login'];
        } else {
            $login = 0;
        }

        $log = $type.'||'.$file.'||'.$line.'||'.$date.'||'.$ip.'||'.$login.'||'.$extraInformation;
        file_put_contents ('logs/logs.log', $log.PHP_EOL, FILE_APPEND);
    }
}

?>