<?php
/**
 * @file faq_add.php
 *
 * @brief Add new question to FAQ
 * @author Sobak
 * @version 1.1
 */

defined('INSIDE') or die;
 ?>

<h1>Dodaj pytanie do FAQ</h1>
<form action="" method="post">
 <label for="question">Pytanie:</label> <input type="text" name="question" id="question" maxlength="255" />
 <label for="answer">Odpowiedź:</label> <textarea name="answer" id="answer" rows="20" cols="70"></textarea>
 <input type="hidden" name="send" value="1" />
 <input type="submit" value="Dodaj" />
</form>


<?php
  $question = db::secure($_POST['question']);
  $answer = db::secure($_POST['answer']);

  if ($_POST['send'] == 1) {
   $query = db::query ("INSERT INTO {prefix}faq (id, question, answer) VALUES('', '$question', '$answer');");
   logger::addEvent(3, __FILE__, __LINE__, 'Dodano pytanie "'.$question.'" do FAQ');

   core::redirect('?m=faq');
  }

?>