<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="pl" lang="pl">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <title>Iron CMS - Instalacja</title>
  <link rel="stylesheet" href="themes/default/style.css" type="text/css" />
</head>
<body>

 <div id="logo"><h1>Iron CMS - Instalacja</h1></div>

 <ul id="top_menu" style="color: white;">
     <li>Instalacja CMS-a</li>
 </ul>

<div id="container">

    <div class="menu">
        <h3>Kroki</h3>
        <ul>
                 <li>Wstęp</li>
                 <li>Dane do bazy i ustawienia</li>
                 <li>Połączenie z DB</li>
                 <li>Wypełnianie bazy danych</li>
                 <li>Konto administratora</li>
                 <li>Zakończenie</li>
        </ul>
    </div>

	<div class="content">

<?php
switch ($_GET['step']) {
    default:
        echo '<h2>Wstęp</h2>';
        echo '<p>Witaj w instalacji skryptu Iron CMS. Postępuj po prostu zgodnie z instrukcjami, a już za chwilę będziesz miał witrynę gotową do użytku.</p>';
        echo '<p>Jeszcze tylko sprawdzimy kilka parametrów Twojego serwera ;):</p>';
        // Check important things
        if (phpversion () < 5) die ('<p class="error">Wymagane PHP w wersji 5!</p>');
        if (!is_writable('config.php')) chmod ('config.php', '0sdf777') or die ('<p class="error">Plik config.php musi mieć prawa do zapisu. Nadaj mu chmod <code>777</code></p>');

        echo '<p><a href="?step=2">Dalej</a></p>';
        break;


    case 2:
        echo '<p>Musisz teraz podać dane konieczne do połączenia się z Twoją bazą danych.</p>';
        echo '<form action="?step=3" method="post">';
        echo '<fieldset><legend>Dane do bazy</legend>';
        echo '<label for="server">Serwer DB:</label> <input type="text" name="server" id="server" />';
        echo '<label for="user">Użytkownik DB:</label> <input type="text" name="user" id="user" />';
        echo '<label for="pass">Hasło DB:</label> <input type="password" name="pass" id="pass" />';
        echo '<label for="dbname">Nazwa DB:</label> <input type="text" name="dbname" id="dbname" />';
        echo '<label for="prefix">Prefix tabel:</label> <input type="text" name="prefix" id="prefix" /> (np. <code>iron_</code>)</fieldset>';

        echo '<fieldset><label>Inne dane</label>';
        echo '<label for="site_url">Adres do strony (z ukośnikiem na końcu!!)</label> <input type="text" name="site_url" id="site_url" /> (np. <code>http://twoja_strona/katalog/z/cms-em/</code>)</fieldset>';
        echo '<input type="submit" value="Dalej" /></form>';
        break;

    case 3:
        echo '<h2>Połączenie z bazą</h2>';
        // Save data from form to variables
        $server = $_POST['server'];
        $user = $_POST['user'];
        $pass = $_POST['pass'];
        $dbname = $_POST['dbname'];
        $prefix = $_POST['prefix'];

        $site_url = $_POST['site_url'];


        $conn = @mysql_connect($server, $user, $pass);
		$select = @mysql_select_db($dbname);

        if ($conn) echo '<p class="success">Połączenie z bazą zostało nawiązane pomyślnie.</p>';
        else echo '<p class="error">Błąd! Nie udało się nawiązać połączenia z bazą! <a href="?step=2">Wróć</a></p>';

        if ($select) echo '<p class="success">Baza danych została wybrana.</p>';
        else die ('<p class="error">Błąd! Nie udało się połączyć z bazą danych! <a href="?step=2">Wróć</a></p>');


        $configFileData = '
            <?php
            $cfg[\'db_server\'] = \''.$server.'\'; // Usually \'localhost\'
            $cfg[\'db_user\'] = \''.$user.'\'; // Database user\'s name
            $cfg[\'db_pass\'] = \''.$pass.'\'; // Database user\'s password
            $cfg[\'db_name\'] = \''.$dbname.'\'; // Database name (database should already exists)
            $cfg[\'db_prefix\'] = \''.$prefix.'\'; // You possibly shouldn\'t modify this value

            # Other settings
            $cfg[\'site_url\'] = \''.$site_url.'\'; // Site url, WITH ending slash!
            $cfg[\'min_login_length\'] = 6; // Minimal length of login
            $cfg[\'min_pass_length\'] = 6; // Minimal length of password
            $cfg[\'debug\'] = false; // Show debug info in footer?
            $cfg[\'date_format\'] = \'d.m.Y H:i\'; // Date format (date function\'s format)

            # CMS version
            define (\'VERSION\', \'1.2\');
            ?>
        ';

        file_put_contents('config.php', $configFileData) or die ('<p class="error">Nie udało się wypełnić pliku konfiguracyjnego!</p>');
        echo '<p class="success">Wygląda na to, że plik konfiguracyjny został wypełniony pomyślnie. Teraz nastąpi wypełnienie bazy danych danymi domyślnnymi. <a href="?step=4">Dalej</a></p>';
        break;

    case 4:
        require 'config.php';
		
        @mysql_connect($cfg['db_server'], $cfg['db_user'], $cfg['db_pass']) or die ('<p class="error">Nie udało się połączyć z bazą!</p>');
        @mysql_select_db($cfg['db_name']) or die ('<p class="error">Nie udało się wybrać bazy!</p>');
		$pref = mysql_real_escape_string($cfg['db_prefix']);
		
        mysql_query("SET NAMES 'utf8_bin'");
        
 $queries[] = "CREATE TABLE IF NOT EXISTS ".$pref."activation (
  hash varchar(15) NOT NULL,
  id int NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;";

$queries[] = "CREATE TABLE IF NOT EXISTS ".$pref."articles (
  id int NOT NULL AUTO_INCREMENT,
  date varchar(20) NOT NULL,
  author varchar(35) CHARACTER SET utf8 NOT NULL,
  content text CHARACTER SET utf8 NOT NULL,
  title varchar(150) CHARACTER SET utf8 NOT NULL,
  rss_random varchar(10) NOT NULL,
  cat_id varchar(25) NOT NULL,
  tags text NOT NULL,
  seo_title varchar(100) NOT NULL,
  in_trash tinyint(4) NOT NULL DEFAULT '0',
  last_mod_time int NOT NULL,
  PRIMARY KEY (`id`),
  FULLTEXT KEY `title` (`title`,`content`),
  FULLTEXT KEY `tags` (`tags`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;";

$queries[] = "CREATE TABLE IF NOT EXISTS ".$pref."categories (
  id varchar(25) NOT NULL,
  name varchar(60) NOT NULL,
  KEY id (id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;";

$queries[] = "CREATE TABLE IF NOT EXISTS `".$pref."comments` (
  id int NOT NULL AUTO_INCREMENT,
  author varchar(35) CHARACTER SET utf8  NOT NULL,
  date varchar(30) NOT NULL,
  content text CHARACTER SET utf8  NOT NULL,
  page_id varchar(35) NOT NULL,
  accepted tinyint(1) NOT NULL,
  ip varchar(20) NOT NULL,
  is_article tinyint(1) NOT NULL,
  PRIMARY KEY (id)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;";

$queries[] = "CREATE TABLE IF NOT EXISTS ".$pref."content (
  additional_headers text CHARACTER SET utf8 NOT NULL,
  allow_comments tinyint(1) NOT NULL,
  id varchar(40) NOT NULL,
  content text CHARACTER SET utf8 NOT NULL,
  description varchar(200) NOT NULL,
  keywords varchar(200) NOT NULL,
  title varchar(100) NOT NULL,
  page_status enum('0','1','2') NOT NULL DEFAULT '0',
  page_type tinyint(1) NOT NULL,
  last_mod_time int NOT NULL,
  FULLTEXT KEY `title` (title, keywords, description)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";


$queries[] = "INSERT INTO ".$pref."content (additional_headers, allow_comments, id, content, description, keywords, title, page_status, page_type) VALUES
('', 1, 'main_page', 'Twoja pierwsza strona główna. Mozesz ją zmienić w [url=admin.php]panelu administracyjnym[/url]', 'Strona Glowna', 'strona, glowna', 'Strona Główna', '0', 1),
('', 0, 'error_404', 'Nie znaleziono podanej strony. Przepraszamy :(', '', '', 'Błąd 404 - nie znaleziono strony', '0', 1),
('', 0, 'articles', '', 'Tutaj możesz przeczytać moje artykuły :)', 'artykuły, wpisy, posty, blog', 'Artykuły', '0', 2),
('', 0, 'comment', '', '', '', 'Nowy komentarz', '0', 2),
('', 0, 'tag', '', '', '', 'Tag', '0', 2),
('', 0, 'search', '', '', '', 'Szukaj', '0', 2),
('', 0, 'login', '', '', '', 'Logowanie', '0', 2),
('', 0, 'logout', '', '', '', 'Wylogowywanie', '0', 2),
('', 0, 'register', '', '', '', 'Rejestracja', '0', 2),
('', 0, 'activation', '', '', '', 'Aktywacja', '0', 2),
('', 0, 'pmessages', '', '', '', 'Prywatne wiadomości', '0', 2),
('', 0, 'edit_profile', '', '', '', 'Edycja profilu', '0', 2),
('', 0, 'faq', '', '', '', 'FAQ', '0', 2),
('', 0, 'change_theme', '', '', '', 'Zmień styl', '0', 2),
('', 0, 'sitemap', '', '', '', 'Mapa strony', '0', 2),
('', 0, 'profile', '', '', '', 'Profil', '0', 2);";

$queries[] = "CREATE TABLE IF NOT EXISTS ".$pref."faq (
  id int NOT NULL AUTO_INCREMENT,
  question varchar(255) COLLATE utf8_bin NOT NULL,
  answer text COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (id)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;";

$queries[] = "CREATE TABLE IF NOT EXISTS ".$pref."menu (
  id int NOT NULL AUTO_INCREMENT,
  `order` int NOT NULL,
  name varchar(100) CHARACTER SET utf8  NOT NULL,
  url varchar(200) NOT NULL,
  menu_id varchar(25) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;";

$queries[] = "INSERT INTO ".$pref."menu (id, `order`, name, url, menu_id) VALUES
(1, 1, 'Strona główna', 'index.php', 'left_menu'),
(2, 2, 'Strona testowa', '?test', 'left_menu'),
(3, 3, 'Artykuły', '?articles', 'left_menu'),
(5, 5, 'Szukaj', '?search', 'left_menu'),
(0, 1, 'Strona główna', '?', 'top_menu');";

$queries[] = "CREATE TABLE IF NOT EXISTS ".$pref."pmessages (
  sender varchar(32) COLLATE utf8_bin NOT NULL,
  recipent_id int NOT NULL,
  `text` text COLLATE utf8_bin NOT NULL,
  id int NOT NULL AUTO_INCREMENT,
  `date` varchar(20) COLLATE utf8_bin NOT NULL,
  subject varchar(255) COLLATE utf8_bin NOT NULL,
  recipent_name varchar(32) COLLATE utf8_bin NOT NULL,
  unread tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;";

$queries[] = "CREATE TABLE IF NOT EXISTS ".$pref."settings (
  setting varchar(40) NOT NULL,
  value text CHARACTER SET utf8 NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$queries[] = "INSERT INTO ".$pref."settings (setting, value) VALUES
('admin_theme', 'default'),
('theme', 'default'),
('default_keywords', 'Iron, CMS, domyslne, slowa, kluczowe'),
('default_description', 'Oto przykład domyślnego opisu IronCMS'),
('short_news_length', '100'),
('home_id', 'main_page'),
('allow_guests_comments', 1),
('login_form', 1),
('default_lang', 'pl');";

$queries[] = "CREATE TABLE IF NOT EXISTS ".$pref."users (
  id int NOT NULL AUTO_INCREMENT,
  login varchar(32) CHARACTER SET utf8 NOT NULL,
  pass varchar(100) NOT NULL,
  email varchar(40) NOT NULL,
  `level` tinyint(1) NOT NULL DEFAULT '0',
  active tinyint(1) NOT NULL,
  `from` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (id),
  UNIQUE KEY login (login)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;";

	$queryCounter = 0;
        foreach ($queries as $query) {
            $queryCounter++;
            @mysql_query($query) or die ('<p class="error">Błąd: '.mysql_error().' ('.$queryCounter.')<p>');
        }

        echo '<p class="success">Twoja baza danych została wypłeniona. <a href="?step=5">Ostatni krok</a></p>';

        break;

    case 5:
        echo '<p>Twoja witryna jest już prawie gotowa. Teraz tylko podaj jej nazwę i utwórz konto administratora.</p>';
        echo '<form action="?step=6" method="post">';
        echo '<fieldset><legend>Ustawienia strony i dane administratora</legend>';
        echo '<label for="site_title">Nazwa Twojej witryny:</label> <input type="text" name="site_title" id="site_title" /> (możesz ją potem zmienić w panelu)';
        echo '<label for="admin_login">Login administratora:</label> <input type="text" name="admin_login"id="admin_login" />';
        echo '<label for="admin_pass">Hasło administratora:</label> <input type="password" name="admin_pass" id="admin_pass" /> (nie pomyl się!)';
        echo '<label for="admin_email">Email administratora:</label> <input type="text" name="admin_email" id="admin_email" />';
        echo '<input type="submit" value="Zakończ" />';

        break;

    case 6:
        require 'modules/user.class.php';
        require 'config.php';
        $pref = $cfg['db_prefix'];
        @mysql_connect($cfg['db_server'], $cfg['db_user'], $cfg['db_pass']) or die ('<p class="error">Nie udało się połączyć z bazą!</p>');
        @mysql_select_db($cfg['db_name']) or die ('<p class="error">Nie udało się wybrać bazy!</p>');
        mysql_query("SET NAMES 'utf8_bin'");

        $endQuery = "
        INSERT INTO ".$pref."settings (setting, value) VALUES ('site_title', '".$_POST['site_title']."'),
            ('admin_email', '".$_POST['admin_email']."');";
        
        $endQuery2 = "INSERT INTO ".$pref."users (id, login, pass, email, level, active) VALUES
        ('', '".$_POST['admin_login']."', '".user::passSalter($_POST['admin_pass'])."', '".$_POST['admin_email']."', 1, 1);
        ";

        $result = @mysql_query($endQuery) or die ('<p class="error">Nie udało się utworzyć konta administratora!<br /><code>'.mysql_error().'</code></p>');
        $result2 = @mysql_query($endQuery2) or die ('<p class="error">Nie udało się utworzyć konta administratora!<br /><code>'.mysql_error().'</code></p>');

        // All is ok. Show message
        echo '<p class="success">Instalacja została zakończona. Skasuj plik <code>install.php</code>, nadaj chmody <code>644</code> plikowi <code>config.php</code> i <a href="'.$cfg['site_url'].'?login">zaloguj się.</a></p>';
}



?>

 </div>

	<div id="footer">
		<div id="copyright">Powered by <a href="http://cms.sobak.pl">Iron CMS</a></div>
        <div id="design">
            Design: <a href="http://www.flankerds.com" title="Darmowe szablony">flankerds.com</a> modified by Sobak</div>
	</div>

</div>

</body>
</html>