<?php
/**
 * @brief comments module
 *
 * Comments system functions
 * @author Sobak
 * @version 1.2
 */

class comments {

    public function show ($articles = 0) {
          global $content, $id, $art;
          
          if ($content['allow_comments'] == 1 or $articles == 1) {
              if ($articles == 1) $result = db::query ("SELECT author, content, date FROM {prefix}comments WHERE page_id='".$art['id']."' AND is_article=1 AND accepted=1");
              
              else $result = db::query ("SELECT author, content, date FROM {prefix}comments WHERE page_id='$id' AND is_article = 0 AND accepted=1");

              echo '<h2>Komentarze</h2>';

              if (db::rows($result) == 0) {
                echo '<p>Brak komentarzy. Bądź pierwszy :)</p>';
              }

              $bbc = core::bbcodePrepareParser();

              while ($row = db::fetch ($result)) {
                  $text = $bbc->Parse($row['content']);
                  echo '<div class="comment"><span class="comment_meta">Napisał(a): <b>'.$row['author'].'</b> ('.$row['date'].')</span> <p>'.$text."</p></div>\n";
              }

              }
    }

    public function form ($articles = 0) {
     global $content, $user, $art, $id;
     
     if ($content['allow_comments'] == 1 or $articles == 1) {
         $allow_guests_comments = core::getSetting('allow_guests_comments');
         
         if (user::isLogged () or $allow_guests_comments == 1) {
            echo '<h2>Dodaj komentarz</h2>';
            if ($articles == 1) {
              echo '<form action="?comment/'.$art['id'].'/art" method="post">'."\n";
            }

            else {
                echo '<form action="?comment/'.$id.'" method="post">'."\n";
            }
                
                if ($allow_guests_comments == 1 and !user::isLogged())
                    echo "\t<label for=\"nick\">Nick</label> <input type=\"text\" name=\"nick\" />\n"; 
                
                else
                    echo "\t<label>Nick</label> ".$user['login']."<br />\n";
                echo "\t<label for=\"commentText\">Komentarz:</label> ".'<textarea id="commentText" name="commentText" onFocus="if (this.value==\'Wpisz swój komentarz...\') {this.value=\'\';}" onBlur="if (this.value==\'\') {this.value=\'Wpisz swój komentarz...\'}" rows="" cols="">Wpisz swój komentarz...</textarea>'."\n";
                echo "\t".'<input type="submit" value="Wyślij" />'."\n";
                echo '</form>'."\n"; 
         }

        else {
            echo '<p>Tylko zalogowani użytkownicy mogą dodawać komentarze.</p>';
         }
    }

    }
    
    public function sendNotificationToAdmin ($commentId, $author, $text) {
        $message = "Autor: ".$author."\n";
        $message .= "Treść:\n".$text;
        $message = wordwrap($message, 70);
        @mail(core::getSetting('admin_email'), '['.core::getSetting('site_title').'] Nowy komentarz', $message);
    }

}

?>