<?php
/**
 * @file articles.php
 *
 * @brief Articles engine
 * @author Sobak
 * @version 1.2
 */

$mode = $addr[1];

switch ($mode) {

case 'single':
// Single mode, one article with comments
$art = $addr[3];

// Check whether article exists
$articleExists = db::fetch(db::query("SELECT COUNT(*) FROM {prefix}articles WHERE id = '$art' AND in_trash = 0"));
if ($articleExists[0] == 0) {
 die ('<p class="error">Błąd: artykuł o danym ID nie istnieje</p>');
}

$query = db::query("SELECT * FROM {prefix}articles WHERE id='$art' AND in_trash = 0 LIMIT 1;");
$art = db::fetch($query);

 echo '<h1>'.$art['title'].'</h1>';
 echo '<span class="art_info">Autor: '.$art['author'].' Data: '.$art['date'].'</span>';

 echo '<div class="art_content">';

 /**
  * Parse bbcode
  */
    $bbc = core::bbcodePrepareParser();
    echo $bbc->Parse($art['content']);
 echo '</div>';

$core->loadModule('tags');
tagsShow($art['id']);


$core->loadModule('comments.class');
comments::show(1);
comments::form(1);

break;


case 'cat':
// Category mode
   $c = $addr[2];

   $articlesExists = db::fetch(db::query("SELECT COUNT(*) FROM {prefix}articles WHERE cat_id = '$c' AND in_trash = 0"));
   if ($articlesExists[0] == 0) die ('<p class="error">Kategoria jest pusta lub nie istnieje.</p>');

   $length = core::getSetting('short_news_length');

   $query = db::query("SELECT * FROM {prefix}articles WHERE cat_id='$c' AND in_trash = 0");

   while ($art = db::fetch($query)) {


   echo '<h1>'.$art['title'].'</h1>';
   echo '<span class="art_info">Autor: '.$art['author'].' Data: '.$art['date'].'</span>';

   echo '<div class="art_content">';
   echo strlen($art['content']) < $length ? $art['content'] : substr(trim($art['content']), 0, $length).'...';

   echo '<p class="more"><a href="?articles/single/'.$art['seo_title'].'/'.$art['id'].'">Czytaj dalej...</a></p>';

   echo '</div>';

  }
break;

default:
// Default mode. Show categories

$query = db::query("SELECT * FROM {prefix}categories");


echo '<h2>Kategorie</h2>';
echo '<ul>';
while ($cat = db::fetch($query)) {
    echo '<li><a href="?articles/cat/'.$cat['id'].'">'.$cat['name']."</a></li>\n";
}
echo '</ul>';
break;

}

echo '<p><a rel="alternate" type="application/atom+xml" href="channel.atom"><img src="themes/'.THEME.'/images/feed.gif" alt="ATOM" class="not-in-mobile">Subskrybuj artykuły</a></p>';

?>